#!/bin/bash -uex
# Give all instances a floating IP address.  Requires >= Newton openstack client

fip_count=$(openstack floating ip list | awk '/None/ { print $4 }' | wc -l)
instances=$(openstack server list | grep ACTIVE | grep -v '\,' | awk '{ print $2 }')
inst_count=$(echo $instances | wc -w)

fip_diff=$(( $inst_count - $fip_count ))
if [[ "$fip_diff" != "0" ]]; then
    for m in $(seq 1 $fip_diff); do
        openstack floating ip create ext_net
    done
fi

for instance in $instances; do
    ip_f="$(openstack floating ip list | awk '/None/ { print $4 }' | head -n 1)"
    openstack server add floating ip $instance $ip_f
done
