#!/bin/bash -uex
# Set nameserver value to the ip address of the current host (bastion) for all
# neutron subnets.

nameserver_ip="$(ip a | grep glob | head -n 1 | awk '{ print $2 }' | cut -d '/' -f 1)"
subnets=$(mktemp)
openstack subnet list | grep "\/" > $subnets

while read i; do
    subnet_id=$(echo $i | awk '{ print $2 }')
    openstack subnet set --no-dns-nameservers --dns-nameserver ${nameserver_ip} ${subnet_id}
done < $subnets

rm -fv $subnets
