#!/bin/bash -uex
echo $0
# Copy tarball of go cookies and extract into jenkins homes
. config/env-common

f_name="uosci-bot-go-cookies.tar.bz2"
f_dst_dir="${JENKINS_HOME}"
f_dst="${f_dst_dir}/${f_name}"
f_tmp="${U_HOME}/${f_name}"
f_src_dir="assets"
f_src="${f_src_dir}/${f_name}"

if [ ! -f "$f_src" ]; then
    exit 1
fi

echo $UNITS

for unit in $UNITS; do
    juju scp $f_src ${unit}:${f_tmp}
    juju ssh $unit "sudo mv $f_tmp $f_dst &&\
        sudo chown jenkins:jenkins ${f_dst} &&\
        sudo chmod 600 ${f_dst} &&\
        sudo su - jenkins -c 'tar -jxvf $f_name'"
done
