#!/bin/bash -uex
# Copy artifactcloud credentials file to all nodes
# Requires that you have placed credentials in the dir after checkout
echo $0

. config/env-common

f_name="novarc-artifactcloud"
f_dst_dir="${JENKINS_HOME}"
f_dst="${f_dst_dir}/${f_name}"
f_tmp="${U_HOME}/${f_name}"
f_src_dir="assets"
f_src="${f_src_dir}/${f_name}"

if [ ! -f "$f_src" ]; then
    echo "Local source file ${f_src} not found."
    pwd
    exit 1
fi

for unit in $UNITS; do
    juju scp $f_src ${unit}:${f_tmp}
    juju ssh $unit "sudo mv $f_tmp $f_dst &&\
    sudo chown root:jenkins ${f_dst} &&\
    sudo chmod 640 ${f_dst}"
done
