#!/bin/bash -ex
echo $0

# Set jenkins plugin http proxy for serverstack

. config/env-common

f_dst="${JENKINS_HOME}/proxy.xml"
f_tmp="${U_HOME}/proxy.xml"
f_src="assets/proxy.xml"

if [ ! -f "$f_src" ]; then
    echo "Local source file ${f_src} not found."
    pwd
    exit 1
fi

f_exists=$(juju ssh ${MASTER} "[[ -f '${f_dst}' ]] || echo 'FALSE'")

if [[ "$f_exists" == *FALSE* ]]; then
    echo "copying ${f_src} file into ${MASTER}"
    juju scp $f_src ${MASTER}:${f_tmp}
    juju ssh ${MASTER} "sudo cp -f ${f_tmp} ${f_dst} &&\
        sudo chown jenkins:jenkins ${f_dst} &&\
        stat ${f_dst} &&\
        sudo service jenkins restart &&\
        sudo service jenkins status"
else
    echo "file ${f_dst} already exists in ${MASTER}, skipping"
fi
