#!/bin/bash -ex
echo $0

# Copy the initial static jobs into master

. config/env-common

f_name="jobs-static-initial.tgz"
f_remote_dst="${JENKINS_HOME}/jobs/${f_name}"
f_remote_tmp="${U_HOME}/${f_name}"
f_local_tmp_dir="$(mktemp -d)"
f_local_tmp="${f_local_tmp_dir}/${f_name}"

src_jobs_dir="jobs-static"
dst_jobs_dir="/var/lib/jenkins/jobs"

# Make tarball of jobs dir contents
tar -czf ${f_local_tmp} -C ${src_jobs_dir} .

# Copy tarball to master and extract it
if [ ! -f "$f_local_tmp" ]; then
    echo "Local source file ${f_src} not found."
    pwd
    exit 1
fi

echo "copying ${f_src} file into ${MASTER}"
juju scp $f_local_tmp ${MASTER}:${f_remote_tmp}
juju ssh ${MASTER} "sudo cp -vf ${f_remote_tmp} ${f_remote_dst} &&\
    sudo tar -zxvf $f_name -C ${JENKINS_HOME}/jobs -X $f_name &&\
    sudo chown jenkins:jenkins -R ${JENKINS_HOME}/jobs &&\
    sudo service jenkins restart &&\
    sudo service jenkins status"
