#!/bin/bash -e
echo $0

# Make jenkens user a sudoer on jenkins master and on all slaves.

. $(dirname $0)/../../env-common

base_src="deploy-files"
f_src="bashrc"
f_dst="${U_HOME}/.bashrc"

# Set master and slaves
for unit in $UNITS; do
    juju scp ${base_src}/${f_src} ${unit}:${f_dst}
    # Copy bashrc file in for aliases
    juju ssh $unit "sudo cp ${U_HOME}/.bashrc ${JENKINS_HOME} &&\
        sudo cp ${U_HOME}/.bashrc ${JENKINS_HOME}/.bash_profile &&\
        sudo chown jenkins:jenkins -R ${JENKINS_HOME}"

export CMD_TMP="echo \"jenkins ALL= NOPASSWD:SETENV:/var/lib/jenkins/tools/bot-control/tools/juju-sym-switch
jenkins ALL= NOPASSWD:SETENV:/var/lib/jenkins/checkout/*/bot-control/tools/juju-sym-switch
jenkins ALL= NOPASSWD:SETENV:/usr/bin/lxc-ls
jenkins ALL= NOPASSWD:SETENV:/usr/bin/lxc-info
jenkins ALL= NOPASSWD:SETENV:/usr/bin/lxc-start
jenkins ALL= NOPASSWD:SETENV:/usr/bin/lxc-shutdown
jenkins ALL= NOPASSWD:SETENV:/usr/bin/lxc-wait
jenkins ALL= NOPASSWD:SETENV:/usr/bin/lxc-execute
jenkins ALL= NOPASSWD:SETENV:/usr/bin/mojo-project-new
jenkins ALL= NOPASSWD:SETENV:/usr/bin/mojo-project-destroy
\" > /home/ubuntu/z-jenkins && sudo cp /home/ubuntu/z-jenkins /etc/sudoers.d && sudo chmod 0440 /etc/sudoers.d/z-jenkins && sudo ls -alhtr /etc/sudoers.d"

    juju ssh $unit "$CMD_TMP"
    juju ssh $unit "sudo visudo -c"

done
