#!/bin/bash -e
echo $0

# Install newer paramiko due to:
#   https://github.com/paramiko/paramiko/issues/423
#   https://bugs.launchpad.net/ubuntu-openstack-ci/+bug/1544727
#   Also, ecdsa 0.11 is required.  charm-tools traces with trusty's 0.10.
. $(dirname $0)/../../env-common

cmd="sudo apt-get install python-ecdsa -y &&\
  wget http://de.archive.ubuntu.com/ubuntu/pool/main/p/python-ecdsa/python-ecdsa_0.11-1_all.deb &&\
  sudo dpkg -i python-ecdsa_0.11-1_all.deb &&\
  wget http://ge.archive.ubuntu.com/ubuntu/pool/main/p/paramiko/python-paramiko_1.15.1-1_all.deb &&\
  sudo dpkg -i python-paramiko_1.15.1-1_all.deb"

echo "========== osci service units =========="
juju run --timeout 10m --format yaml --service osci "$cmd"
echo "========== osci-slave service units =========="
juju run --timeout 10m --format yaml --service osci-slave "$cmd"
