#!/bin/bash -e
echo $0

# Upgrade jenkins master from upstream war

. $(dirname $0)/../../env-common

f_dst="/usr/share/jenkins/jenkins.war"
f_tmp="${U_HOME}/jenkins.war"
f_bak="${f_dst}.prev"
j_url="http://localhost:8080"
#url_src="http://updates.jenkins-ci.org/latest/jenkins.war "
url_src="http://mirrors.jenkins-ci.org/war-stable/latest/jenkins.war"
d_str=$(date +"%Y%m%d%H%M%S%N")

# Get jenkins version
v_old=$(juju ssh $MASTER "curl http://localhost:8080 -I 2> /dev/null | \
  grep 'X-Jenkins:' || echo 'unknown'")

# Download jenkins war
juju ssh $MASTER "sudo service jenkins status &&\
  sudo cp -fvp $f_dst '${f_tmp}.${d_str}' &&\
  export http_proxy=${HTTP_PROXY} && export https_proxy=${HTTPS_PROXY} &&\
  env | grep proxy &&\
  wget -O $f_tmp $url_src
  unset http_proxy && unset https_proxy"

juju ssh $MASTER "sudo mv -fv $f_tmp $f_dst &&\
  sudo chmod 644 $f_dst &&\
  sudo service jenkins restart &&\
  sleep 10 &&\
  sudo service jenkins status"

v_new=$(juju ssh $MASTER "curl http://localhost:8080 -I 2> /dev/null | \
  grep 'X-Jenkins:'")

if [ "$v_old" != "$v_new" ]; then
  echo "Upgraded."
else
  echo "Not upgraded."
fi

echo "old: ${v_old}"
echo "new: ${v_new}"
