#!/bin/bash -ex
echo $0

# Set up small web server, plugin config, and css override
# Useful for visually differentiating multiple jenkins environments

. $(dirname $0)/../../env-common

juju ssh ${MASTER} "sudo apt-get install lighttpd -y"

# copy theme xml into master
f_dst="${JENKINS_HOME}/org.codefirst.SimpleThemeDecorator.xml"
f_tmp="${U_HOME}/org.codefirst.SimpleThemeDecorator.xml"
f_src="deploy-files/org.codefirst.SimpleThemeDecorator.xml"
juju scp $f_src ${MASTER}:${f_tmp}
juju ssh ${MASTER} "sudo cp -f ${f_tmp} ${f_dst} &&\
  sudo chown jenkins:jenkins ${f_dst}"

# copy index.html into master /var/www/
f_dst="/var/www/index.html"
f_tmp="${U_HOME}/index.html"
f_src="deploy-files/index.html"
juju scp $f_src ${MASTER}:${f_tmp}
juju ssh ${MASTER} "sudo cp -f ${f_tmp} ${f_dst} &&\
  sudo service lighttpd stop &&\
  sudo service lighttpd start"

# copy jenkins-alt.css into master /var/www/
f_dst="/var/www/jenkins-alt.css"
f_tmp="${U_HOME}/jenkins-alt.css"
f_src="deploy-files/jenkins-alt.css"
juju scp $f_src ${MASTER}:${f_tmp}
juju ssh ${MASTER} "sudo cp -f ${f_tmp} ${f_dst}"

echo "You'll still need to place the master's floating ip \
      in the jenkins global settings, and maybe restart lighttpd."
