#!/bin/bash -ex
echo $0

# Install the Openstack Jenkins Job Builder

. $(dirname $0)/../../env-common

# NOTE(beisner): occasionally, for no apparent reason, the jjb setup
# may fail trying to reach pipstuff.  Just try again.

jjb_dir="${JENKINS_HOME}/jenkins-job-builder"
d_str=$(date +"%Y%m%d%H%M%S%N")

juju ssh ${MASTER} "[[ -d '${jjb_dir}' ]] &&\
  { echo '${jjb_dir} exists, moving it to ${jjb_dir}${d_str}'; \
  sudo mv -fv ${jjb_dir} ${jjb_dir}${d_str}; } || true"

juju ssh ${MASTER} "sudo su - jenkins -c \
  'git clone https://github.com/openstack-infra/jenkins-job-builder' &&\
  sudo apt-get update -y &&\
  sudo apt-get install python-setuptools python-pip -y &&\
  export http_proxy=${HTTP_PROXY} && export https_proxy=${HTTPS_PROXY} &&\
  cd ${JENKINS_HOME}/jenkins-job-builder &&\
  sudo -E python setup.py install &&\
  unset http_proxy && unset https_proxy"

# copy jjb configuration ini into master
f_n="jenkins_jobs.ini"
f_dst_dir="/etc/jenkins_jobs"
f_dst="${f_dst_dir}/${f_n}"
f_tmp="${U_HOME}/${f_n}"
f_src="deploy-files/${f_n}"

if [ ! -f "$f_src" ]; then
  echo "Local source file ${f_src} not found."
  pwd
  exit 1
fi

echo "copying ${f_src} file into ${MASTER}"
juju scp $f_src ${MASTER}:${f_tmp}
juju ssh ${MASTER} "sudo mkdir -vp ${f_dst_dir} &&\
  sudo cp -f ${f_tmp} ${f_dst}"
