#!/bin/bash -ex
echo $0

# Assign a floating IP to the jenkins master instance

# ---------------------------------------------
# DEPRECATED:  this is now handled by deploy.py
# ---------------------------------------------

. $(dirname $0)/../../env-common

nova list

ip_f_str="10.98."

function get_ip_f() {
  local var=$(nova floating-ip-list | grep '\-  ' | awk '{ print $2 }' | head -n 1 |\
    egrep '^((25[0-5]|2[0-4][0-9]|[1]?[1-9][0-9]?).){3}(25[0-5]|2[0-4][0-9]|[1]?[1-9]?[0-9])$')
  echo $var
}

# Get UUID of jenkins instance
master_uuid=$(juju status --format=yaml ${MASTER} | grep instance-id | awk '{ print $2 }' |\
   egrep '[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}')
if [ -z "$master_uuid" ]; then
  echo "Couldn't get UUID for jenkins master instance."
  exit 1
fi

# Check for existing floating IP on jenkins master instance
if [ ! -z "$(nova list | grep .*${master_uuid}.*${ip_f_str})" ]; then
  echo "Instance already has floating IP."
  nova list | grep $master_uuid
  exit 0
fi

# Get a free floating IP if available, create one if not.
ip_f=$(get_ip_f)
if [ -z "$ip_f" ]; then
  echo "Asking for a new floating IP."
  nova floating-ip-create
  ip_f=$(get_ip_f)
  if [ -z "$ip_f" ]; then
    echo "Couldn't get floating IP."
    exit 1
  fi
fi

# Associate the floating IP
nova floating-ip-associate $master_uuid $ip_f
echo "===================jenkins master info ==================="
juju status --format=yaml ${MASTER}
nova list | grep $master_uuid
curl http://${ip_f}:8080 -I 2> /dev/null | egrep 'X-Jenkins:|HTTP'
echo "Jenkins master floating IP:  ${ip_f}"

