#!/bin/bash -e

# Source the common functions
. ${OSCI_ROOT}/job-parts/osci_job_common.sh
export URL_FILE="${OSCI_ROOT}/populate/juju-proposed-url-watch.txt"

function loc_url_file_missing() {
  touch $WORKSPACE/fyi.juju-proposed-url-file.missing
}

function loc_url_check() {
  echo " . URL list:"
  cat $URL_FILE
  cp -fv $URL_FILE $WORKSPACE
  dpkg-query --show urlwatch || sudo apt-get install urlwatch -y
  export URL_CONTENT_CHANGED="$(urlwatch --url=$URL_FILE)"
}

function loc_url_no_change() {
  touch $WORKSPACE/fyi.juju-proposed.changed
  echo " + Change detected in juju/proposed PPA."
  echo $URL_CONTENT_CHANGED
}

function loc_url_changed() {
  echo " . No change detected in juju/proposed PPA."
}


#=============================== GO! =========================================
f_skip_juju_lxc
f_fresh_clean_start
f_env_no_pass

f_line "Checking for changes in ppa:juju/proposed"
if [[ ! -f $URL_FILE ]]; then
  loc_url_file_missing
else
  loc_url_check
  if [[ -z "$URL_CONTENT_CHANGED" ]]; then
    loc_url_no_change
  else
    loc_url_changed
  fi
fi
f_line "End ppa:juju/proposed check"


f_nice_finish
f_set_build_descr
f_check_fail
