#!/bin/bash -e
echo $0

# Nova boot a bunch of instances on each OSCI network just for exercise

param=$1

if [ -z "$param" ]; then
  echo "Potentially dangerous, so you must confirm with YES."
  echo "Usage:  <this script> YES"
fi

if [ "$param" != "YES" ]; then
  exit 0
fi

. ~/novarc

net_uuids="$(neutron net-list | grep osci | awk '{ print $2 }' || true)"
if [ -z "$net_uuids" ]; then
  echo "Couldn't get UUIDs for OSCI neutron networks."
  exit 1
fi

img_id="$(nova image-list | grep trusty-daily | tail -n 1 | awk '{ print $2 }' || true)"
if [ -z "$img_id" ]; then
  echo "Couldn't get UUID for lastest daily trusty image."
  exit 1
fi

# add test key if non-existent
nova keypair-list | grep testkey &> /dev/null || { nova keypair-add testkey > testkey.pem; chmod 600 testkey.pem; }

# boot stuff
for net_id in $net_uuids; do
  nova boot --num-instances 5 --image ${img_id} --flavor m1.small --key_name testkey --nic net-id=${net_id} "osci-nova-nothing"
done
