#!/bin/bash -e
echo $0

# Ping a bunch of instances on each OSCI network just for exercise

. $(dirname $0)/../env-common
. ~/novarc

ip_addrs="$(nova list | grep nova-nothing | awk '{ print $12 '} | cut -f 2 -d "=" | sort || true)"
if [ -z "$ip_addrs" ]; then
  echo "Couldn't get IP addresses for OSCI nova-nothing instances."
  exit 1
fi
for ip_addr in $ip_addrs; do
  echo "========== ${ip_addr} =========="
  echo -n "ping: "
  ping -c 1 $ip_addr &> /dev/null && echo OK. || echo TROUBLE!
  echo -n "nc ssh: "
  nc -w 1 $ip_addr 22 &> /dev/null && echo OK. || echo TROUBLE!
done
