#!/bin/bash -e
echo $0

# Nova delete any "nova nothing" test instances in the current tenant

param=$1

if [ -z "$param" ]; then
  echo "Potentially dangerous, so you must confirm with YES."
  echo "Usage:  <this script> YES"
fi

if [ "$param" != "YES" ]; then
  exit 0
fi

. ~/novarc

instance_ids="$(nova list | grep osci-nova-nothing | awk '{ print $2 }' || true)"

if [ -z "$instance_ids" ]; then
  echo "Couldn't get UUIDs for OSCI nova-nothing instances."
  exit 1
fi

for instance_id in $instance_ids; do
  nova delete $instance_id
done
