#!/bin/bash -e
echo $0

# Copy launchpad credentials file to all nodes
# Requires that you have placed credentials in the populate dir

. $(dirname $0)/../env-common

f_name="credentials"
f_dst_dir="${JENKINS_HOME}/.config/tarmac"
f_dst="${f_dst_dir}/${f_name}"
f_tmp="${U_HOME}/${f_name}"
f_src_dir="../populate"
f_src="${f_src_dir}/${f_name}"

if [ ! -f "$f_src" ]; then
  echo "Local source file ${f_src} not found."
  pwd
  exit 1
fi

for unit in $UNITS; do
  echo "making tarmac config directory on ${unit}!"
  juju ssh $unit "sudo su - jenkins -c 'mkdir -p /var/lib/jenkins/.config/tarmac'"
  echo "copying ${f_src} into ${unit}"
  juju scp $f_src ${unit}:${f_tmp}
  echo "adjusting permissions"
  juju ssh $unit "sudo mv $f_tmp $f_dst &&\
    sudo chown jenkins:jenkins -R ${f_dst} &&\
    sudo chmod 600 ${f_dst}"
done

