#!/bin/bash -e
echo $0

. $(dirname $0)/../env-common

f_name="sources.list"
f_dst_dir="/etc/apt"
f_dst="${f_dst_dir}/${f_name}"
f_tmp="${U_HOME}/${f_name}"
f_src_dir="../populate"
f_src="${f_src_dir}/${f_name}"

if [ ! -f "$f_src" ]; then
  echo "Local source file ${f_src} not found."
  pwd
  exit 1
fi

for unit in $UNITS; do
  echo "copying ${f_src} into ${unit}"
  juju scp $f_src ${unit}:${f_tmp}
  echo "adjusting permissions and moving $f_tmp to $f_dst"
  juju ssh $unit "sudo mv $f_tmp $f_dst &&\
    sudo chown root:root -R ${f_dst} &&\
    sudo chmod 644 ${f_dst}"
done
