#!/bin/bash -ex
echo $0

# Purge and reinstall juju and related tools on the master and all jenkins slaves
apps="osci osci-task osci-lab osci-slave"

# Optionally inject this to clean up and force reinstall
#sudo apt-get remove juju juju-core juju-1.25 juju-2.0 juju-local juju-mongodb mojo \
#    juju-deployer python-jujuclient python-juju-deployer python3-juju-deployer \
#    amulet python-amulet python3-amulet charm charm-tools \
#    python-theblues python-libcharmstore python-jujubundlelib -y ||:&&\

# NOTE: it is necessary to munge symlinks for now, as the 1.25 ppa packaging is
# actually intended for Trusty (update-alternatives), and otherwise conflicts
# badly on Xenial.  https://bugs.launchpad.net/bugs/1646909

cmds="export JUJU_HOME=$HOME/.juju &&\
sudo apt-get autoremove -y ||:&&\
sudo add-apt-repository ppa:juju/1.25 -y &&\
sudo add-apt-repository ppa:juju/1.25-proposed -y &&\
sudo add-apt-repository ppa:juju/stable -y &&\
sudo add-apt-repository ppa:juju/proposed -y &&\
sudo add-apt-repository ppa:mojo-maintainers/ppa -y &&\
sudo apt-get update -y &&\
sudo apt-get install juju juju-core mojo charm lxd zfsutils-linux -y &&\
sudo apt-get install python-juju-deployer python3-juju-deployer &&\  # https://bugs.launchpad.net/bugs/1644922
sudo usermod -aG mojo jenkins &&\
sudo ln -fs /usr/lib/juju-1.25.9/bin/juju /usr/bin/juju &&\
sudo ln -fs /usr/lib/juju-1.25.9/bin/juju /usr/bin/juju-1.25 &&\
juju version &&\
juju-1.25 version &&\
juju-2.0 version &&\
uname -a"

for app in $apps; do
  echo "========== ${app} =========="
  juju run --service $app "$cmds"
done

