#!/bin/bash -e
echo $0

# Reboot jenkins master and all jenkins slaves (!!)

param=$1

if [ -z "$param" ]; then
  echo "Reboots the jenkins master and all jenkins slaves."
  echo "Potentially dangerous, so you must confirm with YES."
  echo "Usage:  910-bounce-all.sh YES"
fi

if [ "$param" == "YES" ]; then
  # Get jenkins units
  units=$(juju status --format=yaml | egrep "osci[-]?(slave|lab|task)?/[0-9]{1,10}:" \
    | cut -d ":" -f 1 | sed 's/^ *//')
  for unit in $units; do
    echo "rebooting ${unit}!"
    juju ssh $unit "sudo reboot"
  done
fi

