#!/bin/bash -e
echo $0

# juju bootstrap all jenkins units, master and slaves
# useful for verifying juju environments and networks

# Get jenkins units
units=$(juju status --format=yaml | egrep "osci[-]?(slave|lab|task)?/[0-9]{1,10}:" \
  | cut -d ":" -f 1 | sed 's/^ *//')

for unit in $units; do
  echo "juju bootstrapping ${unit}!"
  juju ssh $unit "sudo su - jenkins -c 'juju bootstrap'"&
done


