#!/bin/bash -e
echo $0

# DANGEROUS!!  delete juju environment jenv files from master and all slaves!
# Manually delete the .juju/environments/*jenv files for sticky situations
# 

jenv_dir="/var/lib/jenkins/.juju/environments"

param=$1

if [ -z "$param" ]; then
  echo "Manually deletes juju environment files!"
  echo "Potentially dangerous, so you must confirm with YES."
  echo "Usage:  (this script).sh YES"
fi

if [ "$param" == "YES" ]; then
  # Get jenkins units
  units=$(juju status --format=yaml | egrep "osci[-]?(slave|lab|task)?/[0-9]{1,10}:" \
    | cut -d ":" -f 1 | sed 's/^ *//')

  if [ -z "$units" ]; then
    echo "No units found.  Check default juju environment?"
    exit 1
  fi

  for unit in $units; do
    jenv_files=$(juju ssh $unit "sudo ls ${jenv_dir}")
    if [ -n "$jenv_files" ]; then
      echo "Found files in ${jenv_dir}, deleting them!"
        for this_file in $jenv_files; do
          fn=$(echo "${jenv_dir}/${this_file}" | tr -d '\r')
          echo "Deleting ${fn} on ${unit}!"
          juju ssh $unit "sudo ls ${jenv_dir} -alh && sudo rm -v ${fn} && uname -a"
        done
    else
      echo "${unit} juju environment appears to be all clear, deleting nothing."
    fi
  done
fi

