#!/bin/bash -e
echo $0

# Delete the contents of /var/lib/jenkins/images from the jenkins master and all jenkins slaves (!!)

param=$1

if [ -z "$param" ]; then
  echo "Deletes the ~/images contents on all jenkins units!"
  echo "Potentially dangerous, so you must confirm with YES."
  echo "Usage:  <this script> YES"
  sleep 2
fi

# Get jenkins units
units=$(juju status --format=yaml | egrep "osci[-]?(slave|lab|task)?/[0-9]{1,10}:" \
    | cut -d ":" -f 1 | sed 's/^ *//')
for unit in $units; do
  echo "----- ${unit} -----"
  if [ "$param" == "YES" ]; then
    juju ssh $unit "sudo ls -al /var/lib/jenkins/images && sudo rm -fv /var/lib/jenkins/images/* || echo 'No Images Dir'"
  else
    echo "  Not deleting, just listing:"
    juju ssh $unit "sudo ls -al /var/lib/jenkins/images || echo 'No Images Dir'"
  fi
done

