#!/bin/bash -e
echo $0

# Get info about jenkins master, such as floating ip, etc.

. $(dirname $0)/../env-common

. ~/novarc

# Get UUID of jenkins instance
master_uuid=$(juju status --format=yaml ${MASTER} | grep instance-id | awk '{ print $2 }' |\
   egrep '[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}')
if [ -z "$master_uuid" ]; then
  echo "Couldn't get UUID for jenkins master instance."
  exit 1
fi

echo "jenkins master instance info:"
nova show ${master_uuid}

