#!/bin/bash -e
test="amulet"
. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh
f_fresh_clean_start
f_check_out_universal
f_amulet_set_network_env_vars

# Required for layerci
f_tool_refresh_release_tools
f_tool_refresh_bot_control
f_layerci_use_built_asset_if_relevant
f_layerci_build_if_necessary

f_line "Begin amulet smoke"
cd ${BUILT_ASSET_DIR-$CO_DIR}
f_amulet_squash_00setup
target=$(awk 'BEGIN {FS=":"} /^\[testenv:(func27|func)-smoke\]/ {gsub(/\]/,""); print $2}' tox.ini)
if [[ -n $target ]]; then
  # Look for a func27-smoke tox target and run it as the first preference.
  f_juju_bootstrap
  timeout 43200 tox -e $target |& tee $WORKSPACE/amulet-smoke.txt ||:
  if [[ "${PIPESTATUS[0]}" != "0" ]]; then
    echo " ! Amulet smoke failed."
    touch $WORKSPACE/fyi-amulet-smoke.failed
  fi
  f_juju_stat
  f_lolo_log_puller
else
  # No func27-smoke tox target exists, run a naked amulet test as smoke.
  echo " ! Tox-based amulet smoke target not found, falling back to automatic test selection."
  f_amulet_smoke_select_tests_fallback
  f_juju_bootstrap
  f_amulet_naked_test_run
  f_juju_stat
  f_lolo_log_puller
fi
f_line "End amulet smoke"

f_set_build_descr
f_nice_finish
f_check_fail
