#!/bin/bash -e
. ~/oscirc
test="amulet"
. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh
f_fresh_clean_start
f_check_out_universal
f_amulet_set_network_env_vars

# Required for layerci
f_tool_refresh_release_tools
f_tool_refresh_bot_control
f_layerci_use_built_asset_if_relevant
f_layerci_build_if_necessary

f_line "Begin amulet full"
f_amulet_set_network_env_vars
f_amulet_no_teardown
f_amulet_set_timeout
cd ${BUILT_ASSET_DIR-$CO_DIR}
f_amulet_squash_00setup
target=$(awk 'BEGIN {FS=":"} /^\[testenv:(func27|func)\]/ {gsub(/\]/,""); print $2}' tox.ini)
if [[ -n $target ]]; then
    f_juju_bootstrap
    timeout 43200 tox -e $target |& tee $WORKSPACE/amulet-full.txt ||:
    if [[ "${PIPESTATUS[0]}" != "0" ]]; then
        echo " ! Amulet test failed."
        touch $WORKSPACE/fyi-amulet.failed
    fi
    f_juju_stat
    f_lolo_log_puller
else
    echo " ! func27 tox target not found."
    touch $WORKSPACE/fyi-amulet.failed
fi
f_line "End amulet full"

f_set_build_descr
f_nice_finish
f_check_fail
