#!/bin/bash -uex
# Rsync jenkins home
# No dependency on osci*common

if [[ -z $BAK_REMOTE_BASE_DIR ]] || [[ -z $BAK_USER_HOST ]]; then
    exit 1
fi

keep=50
date_str="$(date -I)-$(date +%s)"  # YYYY-MM-DD-EPOCH
excludes="--exclude builds --exclude lastStable --exclude lastSuccessful --exclude fingerprints --exclude jobs-* --exclude temp --exclude tools --exclude checkout"
ssh $BAK_USER_HOST "mkdir -vp $BAK_REMOTE_BASE_DIR/$date_str"
rsync -avE $excludes /var/lib/jenkins/ $BAK_USER_HOST:$BAK_REMOTE_BASE_DIR/$date_str
ssh $BAK_USER_HOST "(cd $BAK_REMOTE_BASE_DIR; ls -1tr | head -n -$keep | xargs rm -rf;)"
