#!/bin/bash -e
. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh
f_activate_clients
f_skip_juju_foo
f_gerrit_set_blob_vars
f_novarc_artifactcloud

set -ex

junk_pattern="///|nosuch|sandbox|/_/|2016-|2015-|2014-"
bucket_list_tmp="$(mktemp)"
junk_list_tmp="$(mktemp)"

swift list $UOSCI_BUCKET_NAME > $bucket_list_tmp ||:
egrep $junk_pattern $bucket_list_tmp > $junk_list_tmp ||:

if [[ "$(wc -l $junk_list_tmp)" == "0 $junk_list_tmp" ]]; then
  echo " . No junk objects found"
fi

# Trim leading and trailing whitespace if present; Delete swift objects.
while read -r line; do
  line="$(echo $line | sed 's/^[ \t]*//;s/[ \t]*$//')"
  if [[ -n "$line" ]]; then
    swift delete $UOSCI_BUCKET_NAME $line
  fi
done < "$junk_list_tmp"

rm -fv $bucket_list_tmp
rm -fv $junk_list_tmp

f_nice_finish
f_check_fail
