#!/bin/bash -e
# Charm push (upload) and release

# Source the common functions
. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh

function remove_build_dir(){
  BUILD_DIR="$WORKSPACE/$BASE_NAME/build"
  echo BUILD_DIR:  $BUILD_DIR
  [[ -d $BUILD_DIR ]] && echo "Removing $BUILD_DIR"; rm -rf ${BUILD_DIR:?}
}

# Common prep
f_skip_juju_foo
f_env_no_pass
f_line "begin charm push: $GIT_BRANCH ($BASE_NAME)"
f_tool_refresh_release_tools

remove_build_dir
f_proxy_if_proxy
cd $UOSCI_RELEASE_TOOLS_ROOT
./push-and-release $BASE_NAME $GIT_BRANCH
f_proxy_unset
remove_build_dir

f_line "end charm push"
# Clean up
f_set_build_descr
f_nice_finish
f_check_fail
