#!/bin/bash -e
. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh
f_fresh_clean_start
f_tool_refresh_bot_control
f_openstack_uos_env_var_normalize
f_activate_clients

# Set mojo workspace and project names
export MOJO_WKSP="osci-mojo"
export MOJO_PROJ="mojo-openstack-specs"
export MOJO_ROOT="$(mktemp -d)"

f_line "validating mojo runner env vars"
f_mojo_handle_env_vars

f_line "defining new mojo project"
f_mojo_new_project

f_line "defining new mojo workspace"
f_mojo_new_workspace

MOJO_MANIFEST_FILE=${MOJO_ROOT}/${MOJO_PROJ}/${UBUNTU_RELEASE}/${MOJO_WKSP}/spec/${MOJO_SPEC}/manifest

if [[ "$MOJO_SPEC" == *metal* ]]; then
  # Handle baremetal specs
  exit 1  # Not yet re-implemented for Juju 2.x
  # Legacy Juju 1.x:
  #   export UOSCI_JUJU_TAGS="arch=amd64 tags=uosci"
  #   juju bootstrap --upload-tools --constraints="${UOSCI_JUJU_TAGS}" 2>&1 | tee $WORKSPACE/juju-bootstrap.$BUILD_NUMBER.txt
  #   if [[ "${PIPESTATUS[0]}" != "0" ]]; then
  #     echo " ! Bootstrap failed."
  #     touch $WORKSPACE/fyi-${test:0:4}.${test}-bootstrap.failed
  #   fi
else
  # Not baremetal
  # Bootstrap Controller and add Model if necessary
  f_juju_bootstrap
fi

f_line "run mojo, run!"
f_mojo_run
f_line "end of mojo's run"

f_juju_stat
f_lolo_log_puller

f_set_build_descr
f_nice_finish
f_check_fail

