#!/bin/bash -e
#
# Prescribe things-to-do via jenkins properties files
#
# Determine if a checked out repo is something that needs to be built,
# and whether it should be deploy-tested or not.

. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh
f_line "Prescribing build and/or deploy needs"
f_skip_juju_foo
f_tool_refresh_bot_control
f_gerrit_trigger_whitelist_check
f_check_out_universal

f_layerci_get_asset_type $CO_DIR

case "$OSCI_ASSET_TYPE" in
  "charm (built)"|"charm (classic)"|"interface")
      echo " . No build necessary for $CO_DIR"
      ;;
  "charm (source)"|"layer")
      # Layers are not built to deploy, only to test build success
      echo " . Need to build $CO_DIR"
      echo "CHARM_BUILD_NEEDED=True" > $WORKSPACE/prescribe_charm_build.properties
      ;;
esac

case "$OSCI_ASSET_TYPE" in
  "layer"|"interface")
      echo " . No deploy testing necessary for $CO_DIR"
      ;;
  "charm (built)"|"charm (classic)"|"charm (source)")
      echo " . Deploy testing necessary for $CO_DIR"
      echo "DEPLOY_TEST_NEEDED=True" > $WORKSPACE/prescribe_deploy_test.properties
      ;;
esac
