#!/bin/bash -e
# Python unit test runner
test="unit"

# Source the common functions
. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh

f_skip_juju_foo

f_fresh_clean_start
f_check_out_universal

f_tool_refresh_bot_control
f_layerci_use_built_asset_if_relevant
f_layerci_check_and_announce_asset_type

# Tox environment names (targets) to attemp; First match wins.
case "$OSCI_ASSET_TYPE" in
    "charm (classic)")
        # Classic charms still require py27
        tox_e_try[0]="py27"
        tox_e_try[1]="py35"
        ;;
    "charm (built)"|"charm (source)"|"layer"|"interface")
        # Reactive charms require py35
        tox_e_try[0]="py35"
        tox_e_try[1]="py27"
        ;;
    *)
        echo " ! Unknown asset type"
        exit 1
        ;;
esac

f_line "begin unit test"
f_run_make_or_tox_test
f_line "end unit test"

f_set_build_descr
f_post_mp_comment

f_nice_finish
f_check_fail
