#!/usr/bin/env python3
"""
Check that charm store login is working
"""
import logging
import subprocess
import sys

DESCRIPTION = 'CHARM WHOAMI CHECK'

EXPECTED = [
    'openstack-charmers',
    'openstack-charmers-next'
]


def get_charm_whoami_info():
    logging.debug('Getting charm whoami output')
    output = subprocess.check_output(['charm', 'whoami']).decode('UTF-8')
    return output.strip()


def check_charm_whoami_output(output):
    logging.debug('Checking charm whoami output')
    for blob in EXPECTED:
        assert blob in output, '"{}" not in output: "{}"'.format(blob, output)


def main():
    """
    Check commands
    """
    whoami_info = get_charm_whoami_info()
    check_charm_whoami_output(whoami_info)
    logging.debug('OK')


if __name__ == '__main__':
    logging.basicConfig(level=logging.DEBUG)
    logging.info('--> {} ({})'.format(DESCRIPTION, sys.argv[0]))
    sys.exit(main())
