#!/bin/bash -e

# Source the common functions
. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh

f_fresh_clean_start
f_refreshtools_jujuclean
f_env_no_pass
f_touch_try

# Go!
f_line "Deploy a quick-check bundle"
f_deployer_quickcheck

# Float and announce guis
export FLOATERS="juju-gui/0 openstack-dashboard/0 ubuntu/0"
f_floaters
f_announce_gui_floats

# Confirm deployment
f_line "Confirm deployment"
juju_ok="$(${OSCI_ROOT}/run/job-parts/juju1_deploy_ok.sh ||:)"
echo $juju_ok
f_juju_status_health_check "-post-deploy"

if [[ "$juju_ok" == *DEPLOYED:* ]]; then
  echo " . Juju deployment succeeded."
  touch $WORKSPACE/fyi.deploy.ok
else
  echo " ! Juju deployment failed."
  touch $WORKSPACE/fyi.deploy.failed
fi

f_collect_juju_logs

f_line "End of deployment test"
f_set_build_descr
f_nice_finish
f_check_fail
