#!/bin/bash -ue
echo $0

# Source the common functions
. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh

f_fresh_clean_start

[[ ! -z "$THIS_CHARM_SELECT" ]] && THIS_CHARM=$THIS_CHARM_SELECT || echo "FYI no select"
[[ ! -z "$THIS_CHARM_TEXT" ]] && THIS_CHARM=$THIS_CHARM_TEXT || echo "FYI no manual text"
echo " + Proceeding with ${THIS_CHARM}."

f_line "begin single charm deploy"
f_juju_get_pkg_info juju-pkg-info.txt
juju bootstrap
juju deploy $THIS_CHARM
f_juju_wait

# Wait and check
ready="$(${OSCI_ROOT}/run/job-parts/juju1_deploy_ok.sh ||:)"
tries=0
while [[ "$ready" != *DEPLOYED:* ]] && [ $tries -le 20 ]
do
  echo "Waiting for environment state to become started/ACTIVE..."
  echo "${ready}"
  sleep 30
  ready="$(${OSCI_ROOT}/run/job-parts/juju1_deploy_ok.sh ||:)"
  tries=$(( $tries + 1 ))
done

# Confirm
f_line "Confirm deployment"
f_juju_status_health_check "-post-deploy"

if [[ "$ready" != *DEPLOYED:* ]]; then
  echo "Juju deployment not ready."
  echo "Environment state: ${ready}"
  touch $WORKSPACE/fyi.deploy.failed
else
  echo "  Juju single charm deploy succeeded."
  echo "${ready}"
fi
f_line "end single charm deploy"

f_collect_juju_logs
f_set_build_descr
f_nice_finish
f_check_fail
