#!/bin/bash -e
#  Build script to perform periodic jenkins master/slave maintenance tasks

# Source the common functions
. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh

# Prep environment
f_skip_juju_lxc
f_fresh_clean_start
f_env_no_pass

# Install/update to the latest version of mojo
f_mojo_install

# Install/update to the latest version of openstack-installer
# XXX: With slaves on Xenial, legacy openstack-installer packages don't exist.
# f_osi_install

# Install/update to the latest version of git and bzr tools
f_vcs_tools_install

# Install update misc tools
f_misc_global_tools_install

# Wrap up
f_set_build_descr
f_nice_finish
f_check_fail
