#!/bin/bash -e
#
#  Common functions for JUJU major version switching

[[ -z "$CS_API_URL" ]] && export CS_API_URL="https://api.jujucharms.com/charmstore/v4"


function f_juju_version_announce() {
  echo "Juju version: $(juju version)"
}


function f_go_juju1(){
  export JUJU_MAJOR_VER=1
  f_juju_sym_switch
}


function f_go_juju2(){
  export JUJU_MAJOR_VER=2
  f_juju_sym_switch
}


function f_juju_sym_switch(){
  if [[ ! -f "${UOSCI_BOT_CONTROL_ROOT}/tools/juju-sym-switch" ]]; then
    f_tool_refresh_bot_control
  fi
  # OSCI jenkins user has a sudoers rule to permit this command
  sudo -E ${UOSCI_BOT_CONTROL_ROOT}/tools/juju-sym-switch $JUJU_MAJOR_VER --force -i
}


# Does not work with amulet/bundletester (still tries to use /usr/bin/juju)
#function juju(){
#  case "$JUJU_MAJOR_VER" in
#    1)
#      juju-1.25 "$@"
#      ;;
#    2)
#      juju-2.0 "$@"
#      ;;
#    *)
#      echo " ! Unknown JUJU_MAJOR_VER"
#      exit 1
#      ;;
#  esac
#}


function f_skip_juju_lxc() {
# Set boolean flag to cause most jobs to skip juju commands as well as to
# skip forceful model and container destruction.  Useful for things like
# lint checks, unit tests, or other non-Juju jobs.
  export SKIP_JUJU_LXC="true"
}


function f_juju1_model_switcher() {
# Juju 1 model switch
  echo " + Switching Juju1 model to: ${JENV_NAME}"
  if [[ -z "$JENV_NAME" ]]; then
    echo " ! JENV_NAME not set"
    exit 1
  fi
  juju switch $JENV_NAME
}
