#!/bin/bash -e
#
#  Common functions for UOSCI jobs, specific to exercising the
#  development version of juju.
#
#  /!\ This is pre-juju2 legacy wares for installing, detecting and switching
#      juju environment names based on ppa value.  This will not work well
#      when juju1 and juju2 exist in the same ppas or in the same distro mains.
#      Refactor and deprecation underway.  Please do not add helpers to this file.
#
#      Also, OSCI master and slaves no longer have sudo privileges.

export JUJU_STABLE="ppa:juju/stable"
export JUJU_PROPOSED="ppa:juju/proposed"
export JUJU_DEVEL="ppa:juju/devel"

if [[ -z "$JUJU_SOURCE" ]]; then
  export JUJU_SOURCE=$JUJU_STABLE
fi


function f_juju_get_pkg_info() {
# Dump juju package info to a file.
  if [[ -n "$1" ]]; then
    f_tmp="$1"
  else
    f_tmp="juju-pkg-info.txt"
  fi
  echo '' > ${WORKSPACE}/${f_tmp}
  for pkg in $(dpkg -l | egrep 'amulet|juju|mojo|charm|lxc|lxd|openstack' | awk '{ print $2 }'); do
    apt-cache policy $pkg >> ${WORKSPACE}/${f_tmp}
  done
}


#function f_juju_source_override_to_proposed() {
# Useful for temporarily overriding juju source to proposed in all jobs
# for pre-release validation
#  export JUJU_SOURCE="ppa:juju/proposed"
#  f_line " /!\ Overriding juju ppa to $JUJU_SOURCE for urgent release validation."
#}


#function f_juju_source_set() {
# Enable juju-devel ppa and install juju dev version.
#  f_line "Setting juju source to ${JUJU_SOURCE}"

  # Check to see what is already enabled
#  ppas=$(find /etc/apt -name "*.list" | xargs cat | grep ^[[:space:]]*deb)

#  echo " - Purging unused Juju PPAs if present."
#  case "$JUJU_SOURCE" in
#    $JUJU_STABLE)
#      [[ $ppas == *juju/devel* ]] && sudo ppa-purge -y $JUJU_DEVEL
#      [[ $ppas == *juju/proposed* ]] && sudo ppa-purge -y $JUJU_PROPOSED
#      ;;
#    $JUJU_PROPOSED)
#      [[ $ppas == *juju/devel* ]] && sudo ppa-purge -y $JUJU_DEVEL
#      ;;
#    $JUJU_DEVEL)
#      [[ $ppas == *juju/proposed* ]] && sudo ppa-purge -y $JUJU_PROPOSED
#      ;;
#    *)
#      echo " ! Unknown JUJU_SOURCE value while setting juju source."
#      exit 1
#      ;;
#  esac

#  echo " ! DEPRECATED - NOT Adding or switching juju ppa ${JUJU_SOURCE} or updating packages."
#  echo " ! Jenkins builds no longer install/upgrade/downgrade juju binaries."
# With the advent of juju2 and potential mixing of juju1 + juju2 in ppas, jobs are
# no longer installing juju.  All legacy slaves should remain at juju 1.x, and will
# need to be maintained/upgraded outside of the job (ie. juju run) out of band.
#  echo " + Adding juju ppa ${JUJU_SOURCE} and updating packages."
#  sudo add-apt-repository $JUJU_SOURCE -y
#  sudo apt-get update -y 2>&1 > /dev/null
#  sudo apt-get install juju juju-core juju-deployer amulet charm-tools -y
#  f_juju_version_announce
#  f_juju1_model_switcher

# temporary patch / workaround:
#  f_jujudeployer_patch_bug1425435

# temporary patch / workaround:
#  f_jujuclient_watcher_timeout_patch_lp1512472
#}


#function f_juju_source_reset() {
# Enable juju-devel ppa and install juju dev version.
#  export JUJU_SOURCE=$JUJU_STABLE

  # Temporary override for 1.25.2 proposed validation
  # f_juju_source_override_to_proposed

#  f_juju_source_set
#}


#function f_jujudeployer_patch_bug1425435() {
## Hack to patch jujuclient.py regarding bugs:
##   https://bugs.launchpad.net/juju-core/+bug/1420403
##   https://bugs.launchpad.net/juju-core/+bug/1425435
#  f_line "patch for https://bugs.launchpad.net/juju-core/+bug/1420403 https://bugs.launchpad.net/juju-core/+bug/1425435"
#  cd /usr/lib/python2.7/dist-packages
#  sudo patch -b jujuclient.py < ${OSCI_ROOT}/dev/patches/jujuclient-patch.txt || true
#  f_line "end patch"
#}


#function f_jujuclient_watcher_timeout_patch_lp1512472() {
## Hack to fix watcher timeout re: infinite deploys
## https://bugs.launchpad.net/python-jujuclient/+bug/1512472
#  f_line "patch for https://bugs.launchpad.net/python-jujuclient/+bug/1512472"
#  cd /usr/lib/python2.7/dist-packages
#  sudo patch --verbose -Nb jujuclient.py < ${OSCI_ROOT}/dev/patches/jujuclient-fix-watcher-lp1512472.patch || true
#  f_line "end patch"
#}
