#!/bin/bash -e
#
# Build script for triggering various groups of mojo specs

. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh
f_skip_juju_lxc
f_fresh_clean_start
f_env_no_pass

cd $OSCI_ROOT

case "$TRIGGER_FINGER" in
  HOT_NEXT_AND_STABLE_VIRTUAL_DEPLOY)
    tools/trigger_mojo_group.py -s stable_deploy -H
    tools/trigger_mojo_group.py -s next_deploy -H
    ;;
  HOT_NEXT_DEPLOY)
    tools/trigger_mojo_group.py -s next_deploy -H
    ;;
  HOT_STABLE_DEPLOY)
    tools/trigger_mojo_group.py -s stable_deploy -H
    ;;
  HOT_METAL)
    tools/trigger_mojo_group.py -Ls baremetal -H
    ;;
  HOT_NEXT_DEPLOY_BAREMETAL)
    tools/trigger_mojo_group.py -s next_deploy_baremetal -H
    ;;
  HOT_STABLE_DEPLOY_BAREMETAL)
    tools/trigger_mojo_group.py -s stable_deploy_baremetal -H
    ;;
  HOT_NEXT_CHARMHELPER_SYNC)
    tools/trigger_mojo_group.py -s next_charmhelper_sync -H
    ;;
  HOT_NEXT_CHARMHELPER_HA_SYNC)
    tools/trigger_mojo_group.py -s next_charmhelper_sync_ha -H
    ;;
  HOT_CHARM_UPGRADE)
    tools/trigger_mojo_group.py -s stable_to_next -H
    ;;
  HOT_CHARM_UPGRADE_HA)
    tools/trigger_mojo_group.py -s stable_to_next_ha -H
    ;;
  HOT_OBJECT_STORAGE)
    tools/trigger_mojo_group.py -g object_storage -H
    ;;
  HOT_OPENSTACK_UPGRADE)
    tools/trigger_mojo_group.py -Ls openstack_upgrade -H
    ;;

  HOT_ALL)
    tools/trigger_mojo_group.py -H
    ;;
  ALL)
    tools/trigger_mojo_group.py
    ;;
  NEXT_ALL)
    tools/trigger_mojo_group.py -Ls next
    ;;
  STABLE_ALL)
    tools/trigger_mojo_group.py -Ls stable
    ;;

  ICEHOUSE_ALL)
    tools/trigger_mojo_group.py -o icehouse
    ;;
  KILO_ALL)
    tools/trigger_mojo_group.py -o kilo
    ;;
  LIBERTY_ALL)
    tools/trigger_mojo_group.py -o liberty
    ;;
  MITAKA_ALL)
    tools/trigger_mojo_group.py -o mitaka
    ;;
  NEWTON_ALL)
    tools/trigger_mojo_group.py -o newton
    ;;
  OCATA_ALL)
    tools/trigger_mojo_group.py -o ocata
    ;;

  PRECISE_ALL)
    tools/trigger_mojo_group.py -u precise
    ;;
  TRUSTY_ALL)
    tools/trigger_mojo_group.py -u trusty
    ;;
  XENIAL_ALL)
    tools/trigger_mojo_group.py -u xenial
    ;;
  YAKKETY_ALL)
    tools/trigger_mojo_group.py -u yakkety
    ;;
  ZESTY_ALL)
    tools/trigger_mojo_group.py -u zesty
    ;;

  CHARM_UPGRADE)
    tools/trigger_mojo_group.py -s stable_to_next
    ;;
  CHARM_UPGRADE_HA)
    tools/trigger_mojo_group.py -s stable_to_next_ha
    ;;

  NEXT_DEPLOY)
    tools/trigger_mojo_group.py -s next_deploy
    ;;
  NEXT_DEPLOY_SSL)
    tools/trigger_mojo_group.py -s next_deploy_ssl
    ;;
  NEXT_DEPLOY_KSV3)
    tools/trigger_mojo_group.py -s next_keystone_v3
    ;;

  NEXT_DEPLOY_BAREMETAL)
    tools/trigger_mojo_group.py -s next_deploy_baremetal
    ;;
  NEXT_CHARMHELPER_SYNC)
    tools/trigger_mojo_group.py -s next_charmhelper_sync
    ;;
  NEXT_CHARMHELPER_SYNC_HA)
    tools/trigger_mojo_group.py -s next_charmhelper_sync_ha
    ;;
  NEXT_HA_ONESHOT)
    tools/trigger_mojo_group.py -s next_ha_oneshot
    ;;
  NEXT_HA_PHASED)
    tools/trigger_mojo_group.py -s next_ha_phased
    ;;
  NEXT_HA_PHASED_CHAOS_PONY)
    tools/trigger_mojo_group.py -s next_ha_phased_chaos_pony
    ;;
  NEXT_OPENSTACK_UPGRADE)
    tools/trigger_mojo_group.py -s next_openstack_upgrade
    ;;

  STABLE_DEPLOY)
    tools/trigger_mojo_group.py -s stable_deploy
    ;;
  STABLE_DEPLOY_SSL)
    tools/trigger_mojo_group.py -s stable_deploy_ssl
    ;;
  STABLE_DEPLOY_KSV3)
    tools/trigger_mojo_group.py -s stable_keystone_v3
    ;;
  STABLE_DEPLOY_BAREMETAL)
    tools/trigger_mojo_group.py -s stable_deploy_baremetal
    ;;
  STABLE_CHARM_UPGRADE)
    tools/trigger_mojo_group.py -s stable_to_next
    ;;
  STABLE_CHARM_UPGRADE_HA)
    tools/trigger_mojo_group.py -s stable_to_next_ha
    ;;
  OBJECT_STORAGE)
    tools/trigger_mojo_group.py -g object_storage
    ;;

  NEXT_CEPH_RADOSGW_HA)
    tools/trigger_mojo_group.py -s ceph_radosgw/ha
    ;;
  NEXT_CEPH_RADOSGW)
    tools/trigger_mojo_group.py -s ceph_radosgw/simple_nonha
    ;;
  NEXT_CEPH_HARDEN)
    tools/trigger_mojo_group.py -s ceph/harden
    ;;
  NEXT_CEPH_ENCRYPT)
    tools/trigger_mojo_group.py -s ceph/encrypt
    ;;
  NEXT_CEPH)
    tools/trigger_mojo_group.py -s ceph/default
    ;;
  NEXT_SWIFT_PROXY)
    tools/trigger_mojo_group.py -s swift_proxy/simple_nonha
    ;;
  NEXT_SWIFT_PROXY_HA_SCALEOUT)
    tools/trigger_mojo_group.py -s swift_proxy/ha_serial_scaleout
    ;;

  *)
    echo "Unknown trigger option."
    exit 1
    ;;
esac

f_nice_finish
f_check_fail
