#!/bin/bash -e

# Source the common functions
. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh

f_skip_juju_lxc

f_fresh_clean_start
f_env_no_pass

cd $OSCI_ROOT

case "$TRIGGER_FINGER" in
  AUTO)
    tools/scan_merge_props.py -d --XD
    ;;
  AUTO_DRY_RUN)
    tools/scan_merge_props.py -0 -d --XD
    ;;
  FORCE_AMULET_ONLY)
    tools/scan_merge_props.py -F -N --XD --XL --XU -d
    ;;
  FORCE_UNIT_ONLY)
    tools/scan_merge_props.py -F -N --XD --XL --XA -d
    ;;
  FORCE_DEPLOY_ONLY)
    tools/scan_merge_props.py -F -N --XA --XL --XU -d
    ;;
  FORCE_LINT_ONLY)
    tools/scan_merge_props.py -F -N --XD --XA --XU -d
    ;;
  FORCE_ALL)
    tools/scan_merge_props.py -F -N -d
    ;;
  FORCE_ALL_DRY_RUN)
    tools/scan_merge_props.py -F0d
    ;;
  *)
    echo "Unknown trigger option."
    exit 1
    ;;
esac

cp -fv $HOME/state/mp-* $WORKSPACE || true

# Echo build description regex pickup
if [[ -f $WORKSPACE/mp-state.changed ]]; then
  echo "_:mp-state.changed"
else
  echo "No changes detected."
fi

f_nice_finish
f_check_fail
