#!/bin/bash -e
# Tool to trigger functions manually from CLI

export OSCI_ROOT="$(dirname $(readlink -f "$0") | sed 's/run\/job-parts//')"
export NO_TOOLS_REFRESH="true"

: ${EXECUTOR_NUMBER:="z"}
[[ -z "$JENKINS_HOME" ]] && export JENKINS_HOME="$HOME"
[[ -z "$WORKSPACE" ]] && export WORKSPACE="$(mktemp -d)"
[[ -z "$BUILD_NUMBER" ]] && export BUILD_NUMBER="unknown"

# Source the common functions
. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh

f_list_functions(){
  fns="$(typeset -F | grep f_ | awk '{ print $3 }')"
  echo "Available 'f_' functions:"
  for fn in $fns; do
    echo "    " ${fn}
  done
}

f_usage(){
  echo "A tool to manually trigger functions from CLI."
  echo "    Presumes jenkins environment variables and the"
  echo "    overcloud novarc are sourced."
  echo "Usage:  <this script> <function name>"
  f_list_functions
}
param="$1"

if [ -z "$param" ]; then
  f_usage
  exit 0
fi

env | egrep 'WORKSPACE|_ROOT'
echo "Calling function, ${1} ${2} ${3} ${4} ${5}"
$1 $2 $3 $4 $5
