#!/usr/bin/python
# Copyright 2014 Canonical Ltd.
# Written by:
# James Westby <james.westby@canonical.com>
#
# Originally part of the tarmac charm at
# http://launchpad.net/~james-w/charms/precise/tarmac/trunk/
#
# Modified for OSCI by:
# Ryan Beisner <ryan.beisner@canonical.com>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License version 3, as published by the
# Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program. If not, see <http://www.gnu.org/licenses/>.

import subprocess
import sys

from launchpadlib.credentials import Credentials

web_root = "https://launchpad.net/"

print('Getting url...')
creds = Credentials("tarmac")
url = creds.get_request_token(web_root=web_root)

print('Launching web browser...')
subprocess.call(['google-chrome-stable', url])

print('Once you have authenticated then press enter')
sys.stdin.readline()

print('Confirming token...')
creds.exchange_request_token_for_access_token(web_root=web_root)

print('Writing credentials file...')
f = open("credentials", "wb")
try:
    creds.save(f)
finally:
    f.close()
